﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LabReporting.Shared.DefaultValues
{
    /// <summary>
    /// Holds general system-wide default values for the application.
    /// </summary>
    public static class ApplicationDefaultValues
    {
        public const string ForeignCulture = "es-ES";
        public const string JqueryLocalisationPath = "/Content/DataTables-1.10.3/localisation/";
        public const string JqueryLocalisationFileExtension = ".json";
        public const string JqueryLocalisationPathTempDataKey = "JqueryDataTableLocalizationFilePath";
        public const string JqueryDatatableHeaderColor = "#D0DAFD";
        public const string CurrentSiteSessionKey = "SiteSession";
        public const string CurrentUICultureSessionKey = "CurrentUICulture";
        public const string PasswordCharsAlpha = "abcdefghjkmnpqrstwxyzABCDEFGHJKMNPQRSTWXYZ";
        public const string PasswordCharsNumeric = "23456789";
        public const string PasswordCharsAlphanumeric = PasswordCharsAlpha + PasswordCharsNumeric;
        public const int MaxInvalidLoginAttempts = 5;
        public const int PasswordExpirationValueInDays = 60;
        public const int PasswordResetTokenExpirationValueInHours = 24;
        public const int PasswordChangeTokenExpirationValueInHours = 1;
        public const string EntityNameRegex = @"^(([A-Z]{1})([a-z0-9]+)([ ]{0,1}))+$";
        public const string FirstNameRegex = @"^([A-Z]{1})([a-z]+)$";
        public const string SurnameRegex = @"^(([A-Z]{1})((([a-z]+)|([']{0,1}))|(([a-z]+)([ ]{0,1}))))+$";

        //*** Resources Folders
        public const string ExportedFilesFolder = "~/Resources/ExportedFiles/";

        public const string ExportedPdfReportFolder = "~/Resources/ExportedPdfReportFolder/";
        public const string ExportedChartImgFolder = "~/Resources/ExportedChartImgFolder/";
        //*** Template Folders
        public const string ScryberTemplatesFolder = "~/ScryberTemplates/";

        //*** Report Graph
        public const int ReportGraphDefaultDaysPerMonth = 31;
        public const int ReportGraphMinMonthsToDisplay = 18;
        public const int ReportGraphDefaultMonthInterval = 3;
        public const decimal ReportGraphMr1Value = 10;
        public const decimal ReportGraphMr2Value = 1;
        public const decimal ReportGraphMr3Value = (decimal)0.1;
        public const decimal ReportGraphMr45Value = (decimal)0.0032;
        public const decimal ReportGraphMr5Value = (decimal)0.001;
        public const decimal ReportGraphAreaBaseValue = (decimal)0.001;

        public const decimal ReportFirstLineGraphAreaZeroMonthsValue = 100;
        public const decimal ReportFirstLineGraphArea3MonthsValue = 10;
        public const decimal ReportFirstLineGraphArea6MonthsValue = 1;
        public const decimal ReportFirstLineGraphArea12MonthsValue = (decimal)0.1;
        public const decimal ReportFirstLineGraphAreaOver12MonthsValue = (decimal)0.1;

        public const decimal ReportSecondLineGraphAreaZeroMonthsValue = 100;
        public const decimal ReportSecondLineGraphArea3MonthsValue = 10;
        public const decimal ReportSecondLineGraphArea6MonthsValue = 10;
        public const decimal ReportSecondLineGraphArea12MonthsValue = 1;
        public const decimal ReportSecondLineGraphArea18MonthsValue = (decimal)0.1;
        public const decimal ReportSecondLineGraphAreaOver18MonthsValue = (decimal)0.1;

        public const decimal ReportUndedectedNonAbl1Value = (decimal)0.001;

        public const string ReportGraphPublicationText = "Baccarani et al Blood. 2013; 122:872-884";

        public const string InitVector = "tu89geji340t89u2";

        


        // Excel exports
        public const string ExcelExportAuthor = "Labceutics";
    }
}
